## murano-dashboard 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

beautifulsoup4>=4.6.0 # MIT
django-formtools>=2.2 # BSD
iso8601>=0.1.11 # MIT
python-muranoclient>=0.8.2 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.12 # MIT
yaql>=1.1.3 # Apache 2.0 License
castellan>=0.18.0 # Apache-2.0

oslo.log>=3.36.0 # Apache-2.0
semantic-version>=2.3.1 # BSD

horizon>=18.3.0 # Apache-2.0

=== debian/changelog ===
murano-dashboard (1:9.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 9.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:29:24 -0400

=== debian/control ===
Source: murano-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:18.3.0~),
 python3-babel (>= 2.3.4),
 python3-bs4 (>= 4.6.0),
 python3-castellan (>= 0.18.0),
 python3-coverage (>= 4.0),
 python3-django (>= 2:2.2),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-formtools (>= 2.2),
 python3-django-horizon (>= 3:18.3.0~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 0.12.0),
 python3-heat-dashboard (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-muranoclient (>= 0.8.2),
 python3-nose (>= 1.3.7),
 python3-nose-exclude,
 python3-nosehtmloutput (>= 0.0.3),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-reno (>= 2.5.0),
 python3-selenium (>= 2.50.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-dashboard
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-dashboard
Homepage: https://github.com/stackforge/murano-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-murano-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:18.3.0~),
 python3-babel (>= 2.3.4),
 python3-bs4 (>= 4.6.0),
 python3-castellan (>= 0.18.0),
 python3-django (>= 2:2.2),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-formtools (>= 2.2),
 python3-django-horizon (>= 3:18.3.0~),
 python3-heat-dashboard (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-muranoclient (>= 0.8.2),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
 ${misc:Depends},
 ${python3:Depends},
Description: cloud-ready application catalog - Python 3 dashboard plugin
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=murano-dashboard

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the murano-dashboard plugin in Horizon - Python 3
	mkdir -p $(CURDIR)/debian/python3-murano-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
	cp $(CURDIR)/muranodashboard/local/local_settings.d/_50_murano.py $(CURDIR)/debian/python3-murano-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=muranodashboard.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test muranodashboard -v 2 --settings=muranodashboard.tests.settings ; \
	done
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.opendev.org/openstack/murano-dashboard/ murano-dashboard-(9\.\d.*)\.tar\.gz

## murano-dashboard 10.0.0~rc1

=== debian/changelog ===
murano-dashboard (1:10.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 10.x series and get tarballs from opendev.org.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 12:24:56 -0400

murano-dashboard (1:10.0.0~b3~git2020091515.cf980359-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 15:06:14 -0400

murano-dashboard (1:10.0.0~b1~git2020070215.6def1495-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 15:20:56 -0400

murano-dashboard (1:9.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 9.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:29:24 -0400

## murano-dashboard 10.0.0

=== debian/changelog ===
murano-dashboard (1:10.0.0-2) unstable; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jul 2021 12:04:55 +0200

murano-dashboard (1:10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:50:28 +0200

murano-dashboard (1:10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2020 08:37:47 +0200

murano-dashboard (1:9.0.0-1) unstable; urgency=medium

  * Fixed Homepage and watch file URL.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 16:40:46 +0200

murano-dashboard (1:9.0.0~rc1-2) unstable; urgency=medium

  * Move the package to the horizon-plugins subgroup on Salsa.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:22:29 +0200

murano-dashboard (1:9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 21:49:00 +0200

=== debian/control ===
Source: murano-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:18.3.0),
 python3-bs4,
 python3-castellan,
 python3-coverage,
 python3-django,
 python3-django-compressor,
 python3-django-formtools (>= 2.2),
 python3-django-horizon,
 python3-hacking,
 python3-heat-dashboard,
 python3-iso8601,
 python3-muranoclient,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.log,
 python3-semantic-version,
 python3-testtools,
 python3-tz,
 python3-yaml,
 python3-yaql,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/murano-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/murano-dashboard.git
Homepage: https://opendev.org/openstack/murano-dashboard

Package: python3-murano-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:18.3.0),
 python3-bs4,
 python3-castellan,
 python3-django,
 python3-django-compressor,
 python3-django-formtools (>= 2.2),
 python3-heat-dashboard,
 python3-iso8601,
 python3-muranoclient,
 python3-oslo.log,
 python3-pbr,
 python3-semantic-version,
 python3-tz,
 python3-yaml,
 python3-yaql,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:18.6.2-4~),
Conflicts:
 python-murano-dashboard,
Description: cloud-ready application catalog - dashboard plugin
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the OpenStack dashboard plugin.

## murano-dashboard 10.0.0+git2020121016.afb55234

=== debian/changelog ===
murano-dashboard (1:10.0.0+git2020121016.afb55234-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 16:03:16 -0500

murano-dashboard (1:10.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:25:17 -0400

## murano-dashboard 10.0.0+git2021012814.ab7d97fe

=== debian/changelog ===
murano-dashboard (1:10.0.0+git2021012814.ab7d97fe-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 14:22:36 -0500

## murano-dashboard 11.0.0~rc1

=== debian/changelog ===
murano-dashboard (1:11.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 11.x series.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Apr 2021 09:00:11 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.opendev.org/openstack/murano-dashboard/ murano-dashboard-(11\.\d.*)\.tar\.gz

## murano-dashboard 11.0.0

=== debian/changelog ===
murano-dashboard (1:11.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:53:08 +0000

murano-dashboard (1:11.0.0~rc1-0ubuntu2) hirsute; urgency=medium

  * d/rules: Install to Ubuntu openstack-dashboard library path.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Apr 2021 09:36:39 -0400

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 
 	# Activates the murano-dashboard plugin in Horizon - Python 3
 	mkdir -p $(CURDIR)/debian/python3-murano-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
+	cp $(CURDIR)/muranodashboard/local/local_settings.d/_50_murano.py $(CURDIR)/debian/python3-murano-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
 	cp $(CURDIR)/muranodashboard/local/local_settings.d/_50_murano.py $(CURDIR)/debian/python3-murano-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
 
 	dh_install

## murano-dashboard 11.0.0+git2021090912.fb7d081b

=== debian/changelog ===
murano-dashboard (1:11.0.0+git2021090912.fb7d081b-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:38:50 -0400

murano-dashboard (1:11.0.0-0ubuntu2) impish; urgency=medium

  * d/rules: Ensure /usr/lib/python3/dist-packages/openstack_dashboard/enabled
    directory exists and plugin modules are installed (LP: #1925081).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 23 Apr 2021 08:39:03 -0400

=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,10 @@
 	pkgos-dh_auto_install --no-py2
 
 	# Activates the murano-dashboard plugin in Horizon - Python 3
+	mkdir -p $(CURDIR)/debian/python3-murano-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
 	mkdir -p $(CURDIR)/debian/python3-murano-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
-	cp $(CURDIR)/muranodashboard/local/local_settings.d/_50_murano.py $(CURDIR)/debian/python3-murano-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
-	cp $(CURDIR)/muranodashboard/local/local_settings.d/_50_murano.py $(CURDIR)/debian/python3-murano-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
+	cp $(CURDIR)/muranodashboard/local/enabled/*.py $(CURDIR)/debian/python3-murano-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
+	cp $(CURDIR)/muranodashboard/local/local_settings.d/*.py $(CURDIR)/debian/python3-murano-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
 
 	dh_install
 	dh_missing --fail-missing

## murano-dashboard 12.0.0

=== debian/changelog ===
murano-dashboard (1:12.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 16:36:56 +0000

murano-dashboard (1:12.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 12.x series.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 12:44:21 +0000

## murano-dashboard 12.0.0+git2021120912.5e4429a2

=== debian/changelog ===
murano-dashboard (1:12.0.0+git2021120912.5e4429a2-0ubuntu2) jammy; urgency=medium

  * d/rules: Update PBR_VERSION to handle git versioning (LP: #1959402).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jan 2022 13:09:25 -0500

murano-dashboard (1:12.0.0+git2021120912.5e4429a2-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 12:26:36 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.opendev.org/openstack/murano-dashboard/ murano-dashboard-(12\.\d.*)\.tar\.gz

## murano-dashboard 12.0.0+git2022030313.ad3ddf6c

=== debian/changelog ===
murano-dashboard (1:12.0.0+git2022030313.ad3ddf6c-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:57:47 -0500

## murano-dashboard 13.0.0

=== requirements.txt ===
--- 
+++ 
@@ -15,4 +15,4 @@
 oslo.log>=3.36.0 # Apache-2.0
 semantic-version>=2.3.1 # BSD
 
-horizon>=18.3.0 # Apache-2.0
+horizon>=18.3.1 # Apache-2.0

=== debian/changelog ===
murano-dashboard (1:13.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:50:18 -0400

=== debian/control ===
Source: murano-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 2.3.4),
 python3-bs4 (>= 4.6.0),
 python3-castellan (>= 0.18.0),
 python3-coverage (>= 4.0),
 python3-django (>= 2:2.2),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-formtools (>= 2.2),
 python3-django-horizon (>= 4:18.6.0~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 0.12.0),
 python3-heat-dashboard (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-muranoclient (>= 0.8.2),
 python3-nose (>= 1.3.7),
 python3-nose-exclude,
 python3-nosehtmloutput (>= 0.0.3),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-selenium (>= 2.50.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/murano-dashboard
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/murano-dashboard
Homepage: https://github.com/stackforge/murano-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-murano-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 2.3.4),
 python3-bs4 (>= 4.6.0),
 python3-castellan (>= 0.18.0),
 python3-django (>= 2:2.2),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-formtools (>= 2.2),
 python3-django-horizon (>= 4:18.6.0~),
 python3-heat-dashboard (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-muranoclient (>= 0.8.2),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
 ${misc:Depends},
 ${python3:Depends},
Description: cloud-ready application catalog - Python 3 dashboard plugin
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.opendev.org/openstack/murano-dashboard/ murano-dashboard-(13\.\d.*)\.tar\.gz

## murano-dashboard 13.0.0+git2022060213.dec7b6b4

=== debian/changelog ===
murano-dashboard (1:13.0.0+git2022060213.dec7b6b4-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 13:55:08 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -25,7 +25,7 @@
  python3-django-formtools (>= 2.2),
  python3-django-horizon (>= 4:18.6.0~),
  python3-django-nose (>= 1.4.4),
- python3-hacking (>= 0.12.0),
+ python3-hacking,
  python3-heat-dashboard (>= 1.2.0),
  python3-iso8601 (>= 0.1.11),
  python3-mock (>= 2.0.0),
@@ -38,6 +38,7 @@
  python3-openstackdocstheme (>= 2.2.1),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.log (>= 3.36.0),
+ python3-pytest (>= 5.3.5),
  python3-selenium (>= 2.50.1),
  python3-semantic-version (>= 2.3.1),
  python3-six (>= 1.10.0),
@@ -45,10 +46,9 @@
  python3-tz (>= 2013.6),
  python3-yaml (>= 3.12),
  python3-yaql (>= 1.1.3),
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/murano-dashboard
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/murano-dashboard
-Homepage: https://github.com/stackforge/murano-dashboard
+Homepage: https://opendev.org/openstack/murano-dashboard
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-murano-dashboard

## murano-dashboard 13.0.0+git2022071816.5a36a31d

=== debian/changelog ===
murano-dashboard (1:13.0.0+git2022071816.5a36a31d-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/control: Ensure min version of openstack-dashboard has ALLOWED_HOSTS in
    list format for django 4.x.
  * d/p/replace-removed-features.patch: Cherry-pick to deal with
    removal of features in django 4.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 16:18:19 -0400

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- openstack-dashboard (>= 4:18.6.0~),
+ openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-babel (>= 2.3.4),
  python3-bs4 (>= 4.6.0),
  python3-castellan (>= 0.18.0),
@@ -23,7 +23,7 @@
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
  python3-django-formtools (>= 2.2),
- python3-django-horizon (>= 4:18.6.0~),
+ python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-django-nose (>= 1.4.4),
  python3-hacking,
  python3-heat-dashboard (>= 1.2.0),
@@ -54,7 +54,7 @@
 Package: python3-murano-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 4:18.6.0~),
+ openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-babel (>= 2.3.4),
  python3-bs4 (>= 4.6.0),
  python3-castellan (>= 0.18.0),
@@ -62,7 +62,7 @@
  python3-django-babel (>= 0.6.2),
  python3-django-compressor (>= 2.0),
  python3-django-formtools (>= 2.2),
- python3-django-horizon (>= 4:18.6.0~),
+ python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-heat-dashboard (>= 1.2.0),
  python3-iso8601 (>= 0.1.11),
  python3-muranoclient (>= 0.8.2),

## murano-dashboard 13.0.0+git2022091214.02edabd8

=== debian/changelog ===
murano-dashboard (1:13.0.0+git2022091214.02edabd8-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:49:17 -0400

## murano-dashboard 14.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
murano-dashboard (1:14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 23:17:37 +0200

murano-dashboard (1:14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:01:21 +0200

murano-dashboard (1:14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Fixed_Unit_test_for_murano-dashboard.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Sep 2022 17:27:05 +0200

murano-dashboard (1:13.0.0-2) unstable; urgency=medium

  * Add Django 4 compat patches (Closes: #1015076):
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch
    - django-4-force_text-is-removed.patch
    - django-4-django.utils.http.urlunquote_plus-is-removed.patch
    - django-4-is_ajax-is-removed.patch
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Jul 2022 11:24:08 +0200

murano-dashboard (1:13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Fixed_Unit_test_for_murano-dashboard.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:13:44 +0200

murano-dashboard (1:13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 15:52:38 +0200

murano-dashboard (1:13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed django-3.2-support.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2022 20:54:58 +0100

murano-dashboard (1:12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:32:40 +0200

murano-dashboard (1:12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:53:52 +0200

murano-dashboard (1:12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (Build-)depends on minimum horizon >= 20.0.0+git2020.09.21.27036cc0eb.
  * Add django-3.2-support.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 17:24:45 +0200

murano-dashboard (1:11.0.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:23:49 +0200

murano-dashboard (1:11.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 11:50:36 +0200

murano-dashboard (1:11.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:32:58 +0200

murano-dashboard (1:11.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 13:20:45 +0200

murano-dashboard (1:11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 23:08:02 +0100

=== debian/control ===
Source: murano-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-bs4,
 python3-castellan,
 python3-coverage,
 python3-django,
 python3-django-compressor,
 python3-django-formtools,
 python3-django-horizon,
 python3-hacking,
 python3-heat-dashboard,
 python3-iso8601,
 python3-muranoclient,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.log,
 python3-semantic-version,
 python3-testtools,
 python3-tz,
 python3-yaml,
 python3-yaql,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/murano-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/murano-dashboard.git
Homepage: https://opendev.org/openstack/murano-dashboard

Package: python3-murano-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-bs4,
 python3-castellan,
 python3-django,
 python3-django-compressor,
 python3-django-formtools,
 python3-heat-dashboard,
 python3-iso8601,
 python3-muranoclient,
 python3-oslo.log,
 python3-pbr,
 python3-semantic-version,
 python3-tz,
 python3-yaml,
 python3-yaql,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Conflicts:
 python-murano-dashboard,
Description: cloud-ready application catalog - dashboard plugin
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Copy policy file to openstack-dashboard policy location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/muranodashboard/conf/murano_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/murano_policy.json

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/muranodashboard/local/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	# Copy local_settings.d to openstack-dashboard local_settings.d location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/muranodashboard/local/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=muranodashboard.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test muranodashboard -v 2 --settings=muranodashboard.tests.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/murano-dashboard/tags .*/(\d[brc\d\.]+)\.tar\.gz

## murano-dashboard 14.0.0+git2023011010.d85b6115

=== debian/changelog ===
murano-dashboard (1:14.0.0+git2023011010.d85b6115-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:07:45 -0500

murano-dashboard (1:14.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 14.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:38:11 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.opendev.org/openstack/murano-dashboard/ murano-dashboard-(14\.\d.*)\.tar\.gz

## murano-dashboard 15.0.0~rc1

=== debian/changelog ===
murano-dashboard (1:15.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.
  * d/p/replace-removed-features.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 15:37:01 -0500

## murano-dashboard 15.0.0

=== debian/changelog ===
murano-dashboard (1:15.0.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 24 Mar 2023 00:41:20 +0000

murano-dashboard (1:15.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:57:18 -0400

## murano-dashboard 15.0.0+git2023090714.54e2ea8a

=== debian/changelog ===
murano-dashboard (1:15.0.0+git2023090714.54e2ea8a-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:32:33 -0400

murano-dashboard (1:15.0.0+git2023061415.2c1c88a7-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:12:03 -0400

## murano-dashboard 16.0.0

=== requirements.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 django-formtools>=2.2 # BSD
 iso8601>=0.1.11 # MIT
 python-muranoclient>=0.8.2 # Apache-2.0
+python-designateclient>=2.7.0 # Apache-2.0
 pytz>=2013.6 # MIT
 PyYAML>=3.12 # MIT
 yaql>=1.1.3 # Apache 2.0 License

=== debian/changelog ===
murano-dashboard (1:16.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:55:52 +0200

murano-dashboard (1:16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 10:59:59 +0200

murano-dashboard (1:15.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047130).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 10:07:10 +0200

murano-dashboard (1:15.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:39:01 +0200

murano-dashboard (1:15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 16:10:50 +0100

murano-dashboard (1:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.
  * Removed Breaks: and Replaces: after Bookworm is released.
  * Switch to debhelper 11.
  * Removed patches applied upstream:
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-force_text-is-removed.patch
    - django-4-django.utils.http.urlunquote_plus-is-removed.patch
    - django-4-is_ajax-is-removed.patch
  * Add (build-)depends on python3-designateclient.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 09:58:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -14,10 +14,11 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ openstack-dashboard,
  python3-bs4,
  python3-castellan,
  python3-coverage,
+ python3-designateclient,
  python3-django,
  python3-django-compressor,
  python3-django-formtools,
@@ -42,9 +43,10 @@
 Package: python3-murano-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ openstack-dashboard,
  python3-bs4,
  python3-castellan,
+ python3-designateclient,
  python3-django,
  python3-django-compressor,
  python3-django-formtools,
@@ -59,10 +61,6 @@
  python3-yaql,
  ${misc:Depends},
  ${python3:Depends},
-Breaks:
- python3-django-horizon (<< 3:19.2.0-2~),
-Conflicts:
- python-murano-dashboard,
 Description: cloud-ready application catalog - dashboard plugin
  Murano Project introduces an application catalog, which allows application
  developers and cloud administrators to publish various cloud-ready

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,11 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python3
 
-override_dh_clean:
-	dh_clean
-	rm -rf .coverage*
-
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr .coverage *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## murano-dashboard 2015.1~rc1

=== debian/control ===
Source: murano-dashboard
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: openstack-dashboard (>= 2015.1~rc2),
                     python-bs4,
                     python-compressor,
                     python-coverage,
                     python-django,
                     python-django-floppyforms,
                     python-django-horizon,
                     python-django-nose,
                     python-hacking,
                     python-iso8601,
                     python-mock,
                     python-mox,
                     python-muranoclient (>= 0.5.6),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-openstack-auth (>= 1.1.7),
                     python-openstack.nose-plugin,
                     python-oslo.config (>= 1:1.9.3),
                     python-oslosphinx,
                     python-six (>= 1.9.0),
                     python-testtools,
                     python-yaml,
                     python-yaql,
Build-Conflicts: python-unittest2
Standards-Version: 3.9.6
Homepage: https://github.com/stackforge/murano-dashboard
Vcs-Git: git://anonscm.debian.org/openstack/murano-dashboard.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/murano-dashboard.git;a=summary

Package: python-murano-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: openstack-dashboard (>= 2015.1~rc2),
         python-bs4,
         python-django-floppyforms,
         python-iso8601,
         python-muranoclient (>= 0.5.6),
         python-pbr,
         python-six (>= 1.9.0),
         python-yaml,
         python-yaql,
         ${misc:Depends},
         ${python:Depends},
Description: cloud-ready application catalog - dashboard plugin
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the OpenStack dashboard plugin.

## murano-dashboard 2015.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0

beautifulsoup4
iso8601>=0.1.9
six>=1.9.0
PyYAML>=3.1.0

# not listed in global requirements
django-floppyforms>=1.1
yaql>=0.2.6,<0.3
python-muranoclient>=0.5.6,<0.6.0

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                      python-six (>= 1.9.0),
                      python-testtools,
                      python-yaml,
-                     python-yaql,
+                     python-yaql (>= 0.2.6),
 Build-Conflicts: python-unittest2
 Standards-Version: 3.9.6
 Homepage: https://github.com/stackforge/murano-dashboard
@@ -51,7 +51,7 @@
          python-pbr,
          python-six (>= 1.9.0),
          python-yaml,
-         python-yaql,
+         python-yaql (>= 0.2.6),
          ${misc:Depends},
          ${python:Depends},
 Description: cloud-ready application catalog - dashboard plugin
